Bug 250534 - net/grive2: Merge upstream changes to fix OAuth quota limitation
Summary: net/grive2: Merge upstream changes to fix OAuth quota limitation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-22 16:30 UTC by Samuel Andersen
Modified: 2020-10-26 00:44 UTC (History)
1 user (show)

See Also:
lwhsu: merge-quarterly+


Attachments
Patch to merge upstream changes (1.93 KB, patch)
2020-10-23 18:05 UTC, Samuel Andersen
no flags Details | Diff
Updated patch to merge upstream changes (2.01 KB, patch)
2020-10-24 19:07 UTC, Samuel Andersen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Andersen 2020-10-22 16:30:14 UTC
Hi team,

Due to changes to Google OAuth2 quota, grive2 is no longer able to authorize via grive -a. Upstream changes have been made to allow users to specify a client Id and secret to get around this issue.

In addition, the patch for CMakeLists.txt is no longer needed as HAVE_SYSTEMD has been defined. The patch for OS.hh is still required.

Removing the CMakeLists patch and updating the line number for OS.hh patch were the only changes needed on my system for a successful build.
Comment 1 Li-Wen Hsu freebsd_committer 2020-10-23 03:39:05 UTC
Thanks for the reporting, as currently there is no dedicated maintainer of this port, can you try to provide a patch to fix this issue?
Comment 2 Samuel Andersen 2020-10-23 18:05:10 UTC
Created attachment 219012 [details]
Patch to merge upstream changes
Comment 3 Samuel Andersen 2020-10-23 18:06:03 UTC
(In reply to Li-Wen Hsu from comment #1)
Hi Li-Wen, I've uploaded a patch here. This is my first time going through the process, so would appreciate any feedback on this. Thanks!
Comment 4 Li-Wen Hsu freebsd_committer 2020-10-24 17:38:28 UTC
(In reply to Samuel Andersen from comment #3)
Hi Samuel,

Thanks for working on a patch. It generally looks excellent. There are some minor points:

- Because DISTVERSION is increased, PORTREVISION doesn't need to be bumped, and needs to be cleared. Just removing PORTREVISION line is fine.
- You mentioned that the line number of OS.hh needs to be updated, but it doesn't include in the patch.

And there are two additional things hope you can consider:

- The local modification of OS.hh looks a good candidate to be upstreamed.  Do you want to create a PR for it?
- As there is no maintainer of this port and you have good progress of it.  May I encourage you taking the maintainership of this port?
Comment 5 Samuel Andersen 2020-10-24 19:07:03 UTC
Created attachment 219042 [details]
Updated patch to merge upstream changes
Comment 6 Samuel Andersen 2020-10-24 19:08:47 UTC
(In reply to Li-Wen Hsu from comment #4)

Hi Li-Wen, I have updated the patch and created a PR, linked here: https://github.com/vitalif/grive2/pull/328

I was mistaken with my original comment about line number in OS.hh. I've gone ahead and ensured that patching works and the build finishes correctly without changing any line number.

I also updated the package maintainer to my own email address. I'm not sure if there's any additional action needed on my end to accept maintainership.

Thanks!
Comment 7 commit-hook freebsd_committer 2020-10-24 19:32:03 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Oct 24 19:31:23 UTC 2020
New revision: 553220
URL: https://svnweb.freebsd.org/changeset/ports/553220

Log:
  net/grive2: Update to 0.5.2-dev to fix OAuth quota limitation issue

  Pass maintainership to the submitter

  PR:		250534
  Submitted by:	Samuel Andersen <samuel@andersentech.net>
  MFH:		2020Q4

Changes:
  head/net/grive2/Makefile
  head/net/grive2/distinfo
  head/net/grive2/files/patch-CMakeLists.txt
Comment 8 Li-Wen Hsu freebsd_committer 2020-10-24 19:32:19 UTC
(In reply to Samuel Andersen from comment #6)
Thanks very much!
Comment 9 commit-hook freebsd_committer 2020-10-26 00:44:20 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Oct 26 00:44:03 UTC 2020
New revision: 553311
URL: https://svnweb.freebsd.org/changeset/ports/553311

Log:
  MFH: r553220

  net/grive2: Update to 0.5.2-dev to fix OAuth quota limitation issue

  Pass maintainership to the submitter

  PR:		250534
  Submitted by:	Samuel Andersen <samuel@andersentech.net>

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net/grive2/Makefile
  branches/2020Q4/net/grive2/distinfo
  branches/2020Q4/net/grive2/files/patch-CMakeLists.txt